XkbAllocGeomKeyAliases(3)

NAME
XkbAllocGeomKeyAliases - Allocate geometry key aliases

SYNOPSIS

Status XkbAllocGeomKeyAliases (XkbGeometryPtr geom, int num_needed);

ARGUMENTS

- geom
    geometry for which key aliases should be allocated

- num_needed
    number of new key aliases required

DESCRIPTION

Xkb provides a number of functions to allocate and free subcomponents of a keyboard geometry. Use these functions to create or modify keyboard geometries. Note that these functions merely allocate space for the new element(s), and it is up to you to fill in the values explicitly in your code. These allocation functions increase sz_* but never touch num_* (unless there is an allocation failure, in which case they reset both sz_* and num_* to zero). These functions return Success if they succeed, BadAlloc if they are not able to allocate space, or BadValue if a parameter is not as expected. XkbAllocGeomKeyAliases allocates space for num_needed key aliases and adds them to the specified geometry geom. A key alias is a pair of strings that associates an alternate name for a key with the real name for that key. To free geometry key aliases, use XkbFreeGeomKeyAliases.

DIAGNOSTICS

BadAlloc
    Unable to allocate storage

BadValue
    An argument is out of range

SEE ALSO
XkbFreeGeomKeyAliases(3)